/**
 * window module template
 */

let w_buttons = [];

class WindowModule {
    /**
     * @returns {WindowModule}
     */
    static create() {
        return new WindowModule();
    }

    constructor() { }

    /**
     * @param {ViewModel} viewModel 
     */
    init(viewModel) {
        this._viewModel = viewModel;

        // Add your own initialization

        this._initialized = true;
        this._active = false;
    }

    /**
     * @param {ViewModel} viewModel 
     */
    cleanUp(viewModel) {
        // Timeouts, intervals, promises and eventListeners registered using
        // sigApi.sigUtils funcitons are cleaned up by runtime
        // example of sigApi.sigUtls.setTimeout
        //   sigApi.sigUtils.setTimeout(this, () => {}, 1000);

        // Add your own cleanUp code

        this._initialized = false;
    }

    /**
     * @param {boolean} active 
     */
    onActiveChanged(active) {
        // Add your own active state handling code

        this._active = active;

        w_buttons[0] = document.getElementById("lvd98e70d3374424e578f53b8832d2023b1");
        w_buttons[1] = document.getElementById("lvd98bf14cb76f544c7aec2de56cd0fff4f");
        w_buttons[2] = document.getElementById("lvd290edc7e7c104bbbb664ae05db9ff121");
        w_buttons[3] = document.getElementById("lvd40676be51950402fba1d5b65501d7a17");
        w_buttons[4] = document.getElementById("lvdc71c4c5e4e3c419ab4d46170cf6e3d75");
        w_buttons[5] = document.getElementById("lvd121998f526154068a9ac6b5bb7981590");
        w_buttons[6] = document.getElementById("lvd36c53af29395443e9f1b36fcdf6a791b");
        w_buttons[7] = document.getElementById("lvdec2a91a85e534d89907483a6141a96d2");
        w_buttons[8] = document.getElementById("lvd401550f0b9c94a829a9b83903cbfe098");
        w_buttons[9] = document.getElementById("lvdc8f04a2b60f643b787cf61568738cae9");
        w_buttons[10] = document.getElementById("lvd5e3536f481574e4fadf98a0957d03e25");
        w_buttons[11] = document.getElementById("lvddd8ae5763f714288821fce3ed32a934b");
        w_buttons[12] = document.getElementById("lvddac1051d504b474086fc972310347065");
        w_buttons[13] = document.getElementById("lvd8b6caf97484f4a8e98cf024f1e47a728");
        w_buttons[14] = document.getElementById("lvd6086d09e15a74d639023ffc86e80d7d4");
        w_buttons[15] = document.getElementById("lvd3e426ef630be44f4b7a7f3fd036e3eeb");
        w_buttons[16] = document.getElementById("lvdcf6ef544f52743e9a415f5b99e3e9baa");
        w_buttons[17] = document.getElementById("lvd41793e95b319430d9d651fe6a4ae12d2");
        w_buttons[18] = document.getElementById("lvd3eee07e3821c4c1fb366879a60068ff4");
        w_buttons[19] = document.getElementById("lvd64e9d1b6055940b08de63eeba7960d57");
        w_buttons[20] = document.getElementById("lvd8356772b7cca4906addab5df94ba8525");
        w_buttons[21] = document.getElementById("lvddc33363acfb8404ab2e55b079db4d680");
        w_buttons[22] = document.getElementById("lvd7d529952aeb74a7294efce0fcca428e2");
        w_buttons[23] = document.getElementById("lvd7cccbe9db57f4f2fbb72cf791cf7e918");

    }

}

// Register the WindowModule for a window
//window.registerWindowModule('Apply_settings_for_zone', WindowModule.create);
